#!../guile-fltk \
-e main -s
!#

; button.scm
; This script is functionally equivalent to the button.cxx
; program included in the Fltk test directory.

(define beep-callback
  (lambda (widget data)
    (fltk-beep)))

(define exit-callback
  (lambda (widget data)
    (exit)))

(define (main args)
  (define window (fltk-window-new "Beep Demo" #:w 320 #:h 65))
  (define b1 (fltk-button-new 20 20 80 25 "&Beep"))
  (fltk-button-set-callback b1 beep-callback)
  (define b2 (fltk-button-new 120 20 80 25 "&no op"))
  (define b3 (fltk-button-new 220 20 80 25 "E&xit"))
  (fltk-button-set-callback b3 exit-callback)
  (fltk-window-end window)
  (fltk-window-show window)
  (fltk-run))
