#! ../guile-fltk \
-s
!#

; hello.scm
; This script should be functionally equivalent to the hello.cxx
; program included in the Fltk test directory.

(define window (fltk-window-new "Hello World Window" #:w 300 #:h 180))
(define box (fltk-box-new FL-UP-BOX 20 40 260 100 "Hello, World!"))
(fltk-box-set-labelfont box (+ FL-BOLD FL-ITALIC))
(fltk-box-set-labelsize box 36)
(fltk-box-set-labeltype box FL-SHADOW-LABEL)
(fltk-window-end window)
(fltk-window-show window)
(fltk-run)
