#!../guile-fltk \
-e main -s
!#

; radio.scm
; This script is functionally equivalent to the radio.cxx
; program included in the Fltk test directory.

(define (main args)
  (define w (fltk-window-new "Radio Demo" #:w 462 #:h 453))
  (fltk-button-new 20 10 160 30 "Fl_Button")
  (fltk-return-button-new 20 50 160 30 "Fl_Return_Button")
  (fltk-light-button-new 20 90 160 30 "Fl_Light_Button")
  (let ((o (fltk-check-button-new 20 90 160 30 "Fl_Check_Button")))
    (fltk-button-set-box o FL-UP-BOX)
    (fltk-button-set-down-box o FL-DIAMOND-DOWN-BOX))
  (let ((o (fltk-round-button-new 20 170 160 30 "Fl_Round_Button")))
    (fltk-button-set-box o FL-UP-BOX)
    (fltk-button-set-down-box o FL-ROUND-DOWN-BOX))
  (let ((o (fltk-group-new 190 10 70 120 "")))
    (fltk-group-set-box o FL-THIN-UP-FRAME)
    (let ((o (fltk-check-button-new 190 10 70 30 "radio")))
      (fltk-button-set-type o FL-RADIO-BUTTON)
      (fltk-button-set-down-box o FL-DIAMOND-DOWN-BOX))
    (let ((o (fltk-check-button-new 190 40 70 30 "radio")))
      (fltk-button-set-type o FL-RADIO-BUTTON)
      (fltk-button-set-down-box o FL-DIAMOND-DOWN-BOX))
    (let ((o (fltk-check-button-new 190 70 70 30 "radio")))
      (fltk-button-set-type o FL-RADIO-BUTTON)
      (fltk-button-set-down-box o FL-DIAMOND-DOWN-BOX))
    (let ((o (fltk-check-button-new 190 100 70 30 "radio")))
      (fltk-button-set-type o FL-RADIO-BUTTON)
      (fltk-button-set-down-box o FL-DIAMOND-DOWN-BOX))
    (fltk-group-end o))
  (let ((o (fltk-group-new 270 10 90 115 "")))
    (fltk-group-set-box o FL-THIN-UP-BOX)
    (let ((o (fltk-button-new 280 20 20 20 "radio")))
      (fltk-button-set-type o FL-RADIO-BUTTON)
      (fltk-button-set-selection-color o 1)
      (fltk-button-set-align o FL-ALIGN-RIGHT))
    (let ((o (fltk-button-new 280 45 20 20 "radio")))
      (fltk-button-set-type o FL-RADIO-BUTTON)
      (fltk-button-set-selection-color o 1)
      (fltk-button-set-align o FL-ALIGN-RIGHT))
    (let ((o (fltk-button-new 280 70 20 20 "radio")))
      (fltk-button-set-type o FL-RADIO-BUTTON)
      (fltk-button-set-selection-color o 1)
      (fltk-button-set-align o FL-ALIGN-RIGHT))
    (let ((o (fltk-button-new 280 95 20 20 "radio")))
      (fltk-button-set-type o FL-RADIO-BUTTON)
      (fltk-button-set-selection-color o 1)
      (fltk-button-set-align o FL-ALIGN-RIGHT))
    (fltk-group-end o))
  (fltk-window-end w)
  (fltk-window-show w)
  (fltk-run))
