#! ../guile-fltk \
-s
!#

; adjuster.scm
; This script is functionally equivalent to the adjuster.cxx
; program included in the Fltk test directory.

(define adjcb 
  (lambda (widget box)
    (fltk-box-set-label box (fltk-adjuster-format widget))
    (fltk-box-redraw box)))
  
(define window 
  (fltk-window-new "Adjuster Demo" #:w 320 #:h 100))

(define b1 
  (fltk-box-new FL-DOWN-BOX 20 30 80 25 ""))
(fltk-box-set-color b1 FL-WHITE)

(define a1 
  (fltk-adjuster-new (+ 20 80) 30 (* 3 25) 25 ""))
(fltk-adjuster-set-callback a1 adjcb)
(fltk-adjuster-set-argument a1 b1)
(adjcb a1 b1)

(define b2 
  (fltk-box-new FL-DOWN-BOX (+ 20 80 (* 4 25)) 30 80 25 ""))
(fltk-box-set-color b2 FL-WHITE)
(define a2 
  (fltk-adjuster-new (+ (fltk-box-x b2) (fltk-box-w b2)) 
		     10 25 (* 3 25) ""))
(fltk-adjuster-set-callback a2 adjcb)
(fltk-adjuster-set-argument a2 b2)
(adjcb a2 b2)

(fltk-window-set-resizable window window)
(fltk-window-end window)
(fltk-window-show window)
(fltk-run)
