#! ../guile-fltk \
-s
!#

(define iconize-cb 
  (lambda (widget data)
    (fltk-window-iconize data)))

(define show-cb 
  (lambda (widget data)
    (fltk-window-show data)))

(define hide-cb 
  (lambda (widget data)
    (fltk-window-hide data)))

(define window-cb 
  (lambda (widget data)
    (quit)))


(define mainw (fltk-window-new "Main" #:w 200 #:h 200))
(fltk-window-end mainw)
(fltk-window-show mainw)

(define control (fltk-window-new "Control" #:w 120 #:h 120))
(define hide-button (fltk-button-new 0 0 120 30 "hide"))
(fltk-button-set-callback hide-button hide-cb)
(fltk-button-set-argument hide-button mainw)

(define iconize-button (fltk-button-new 0 30 120 30 "iconize"))
(fltk-button-set-callback iconize-button iconize-cb)
(fltk-button-set-argument iconize-button mainw)

(define show-button (fltk-button-new 0 60 120 30 "show"))
(fltk-button-set-callback show-button show-cb)
(fltk-button-set-argument show-button mainw)

(define show-button2 (fltk-button-new 0 90 120 30 "show this"))
(fltk-button-set-callback show-button2 show-cb)
(fltk-button-set-argument show-button2 control)

(fltk-window-end control)
(fltk-window-show control)
(fltk-window-set-callback control window-cb)
(fltk-run)
